package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.Locale;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CobrancaAdicionalHistorico;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.web.utilerias.CurrencyUtil;

public class RenderCobrancaAdcicionalHistorico implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		CobrancaAdicionalHistorico cobranca = (CobrancaAdicionalHistorico) o;

		Listcell lc = new Listcell(DateUtil.getStringDate(cobranca.getDataRegistro()));
		lc.setParent(lstm);

		Locale locale = new Locale("pt", "BR");
		lc = new Listcell(CurrencyUtil.getCurrencyBigDecimalFromStr(cobranca.getValorAplicado(), locale));
		lc.setParent(lstm);

		lc = new Listcell(CurrencyUtil.getCurrencyBigDecimalFromStr(cobranca.getValorAcumulado(), locale));
		lc.setParent(lstm);
		
		lc = new Listcell(cobranca.getCobrancaEfetuada() ? "SIM" : "NÃO");
		lc.setParent(lstm);

		lc = new Listcell(cobranca.getMotivo());
		lc.setParent(lstm);
		
		lstm.setAttribute("data", cobranca);
	}
}
